OpenShift Enterprise upgrade 'pre' step fails with GemNotFound

Solution Unverified - Updated -

Issue

  • After running yum update to update the system before the upgrade, the broker's ose-upgrade pre step reports the below error:
INFO: --END /usr/lib/ruby/site_ruby/1.8/ose-upgrade/broker/upgrades/4/step_lock oseupgrade_4_pre OUTPUT--
ERROR: run_script
/usr/lib/ruby/site_ruby/1.8/ose-upgrade/broker/upgrades/4/step_lock oseupgrade_4_pre had errors:
--BEGIN OUTPUT--
/opt/rh/ruby193/root/usr/share/gems/gems/bundler-1.3.5/lib/bundler/spec_set.rb:92:in `block in materialize': Could not find openshift-origin-controller-1.23.10.14 in any of the sources (Bundler::GemNotFound)

Environment

  • OpenShift Enterprise 2.1
  • OpenShift Enterprise 2.2

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In